   10 data 1,2,3,4,5,6,7,8,0
   20 data 3,4,5,3,2,3,0,1,6,4,2,7,6,4,2,7
   30 data 0,4,3,2
   40 data 0,3,0,8
   50 data 1,4,3,2,6,6,3,7,9
   60 call clearscreen
   70 print "Gauss-Jordan Eliminator"
   80 print "-----------------------"
   90 print "Turns those troublesome little matrices"
  100 print " into a cute little docile matrix."
  110 print " (Finds inverse of matrices)"
  120 print "Programmed by Andrew Williams"
  130 print "  and Bradley Jolie"
  140 print 
  150 input "press ENTER to continue...",nah$
  160 option base 1
  170 dim a(5,5),b(5,10),c(5,5),d(5,5)
  180 loop 
  190   mat a=(0):mat b=(0):mat c=(0):mat d=(0)
  200   print 
  210   input "Input number o'rows >",r
  220   print 
  230   cj=2*r
  240   for r2=1 to r
  250     for c=1 to r
  260       read a(r2,c)
  270       b(r2,c)=a(r2,c)
  280     next c
  290   next r2
  300   for a=1 to r
  310     b(a,a+r)=1
  320   next a
  330   flag=0
  340   for row=1 to r
  350     if b(row,row)=0
  360     flag=1
  370       if row<r
  380         for rw=row+1 to r
  390           if b(rw,row)<>0
  400             flag=0
  410           endif 
  420           if flag=0 then quit 
  430         next rw
  440       endif 
  450       if flag=0
  460         hil=1
  470         loop 
  480           hs=b(rw,hil)
  490           b(rw,hil)=b(row,hil)
  500           b(row,hil)=hs
  510           hil=hil+1
  520           if hil>2*r then quit 
  530         endloop 
  540       endif 
  550     endif 
  560     if flag=1 then quit 
  570     if flag=0
  580       j=b(row,row)
  590       for cow=1 to cj
  600         b(row,cow)=b(row,cow)/j
  610       next cow
  620       for gow=1 to r
  630         if gow<>row
  640           fo=b(gow,row)*(-1)
  650           for how=row to cj
  660             b(gow,how)=b(gow,how)+fo*b(row,how)
  670           next how
  680         endif 
  690       next gow
  700     endif 
  710   next row
  720   print "Matrix A -Original Matrix"
  730   for re=1 to r
  740     for ce=1 to r
  750       print using '-###.####',a(re,ce);
  760     next ce
  770     print 
  780   next re
  790   if flag=0
  800     for tow=1 to r
  810       for dow=1 to r
  820         g=b(tow,dow+r)
  830         c(tow,dow)=g
  840       next dow
  850     next tow
  860     mat d=a*c
  870     print "Matrix B -Inverse Matrix"
  880     for re=1 to r
  890       for ce=1 to cj
  900         print using '-###.####',b(re,ce);
  910       next ce
  920       print 
  930     next re
  940     print "Matrix D -Product of Inverse and Original"
  950     for re=1 to r
  960       for ce=1 to r
  970         print using '-###.####',d(re,ce);
  980       next ce
  990       print 
 1000     next re
 1010   endif 
 1020   if flag=1
 1030     print "Your matrix is unacceptable, you are banned from this program"
 1040     print " and any Gauss Jordan related activities!!!"
 1050     for hacienda=1 to 20000
 1060     next hacienda
 1070     print 
 1080     print "Okay, we'll give you one more chance to prove yourself"
 1090     print " before you are sentenced to death by lethal injection."
 1100   endif 
 1110   print 
 1120   input "Would you like to play again (Y/N) >",m$
 1130   if m$<>"Y" and m$<>"y" then quit 
 1140 endloop 
